package com.nisum.ascend.promotions.exception;

import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.ResponseStatus;

@ResponseStatus(value = HttpStatus.NOT_FOUND)
public class PromotionNotFoundException extends RuntimeException {
    public PromotionNotFoundException(String id) {
        super("The promotion with the ID of " + id + " was not found.");
    }
}
